> ## Documentation Index
> Fetch the complete documentation index at: https://ampersand-24eb5c1a-rajatspawar-eng-4200-readd-blob-storage.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List destinations



## OpenAPI

````yaml platform get /projects/{projectIdOrName}/destinations
openapi: 3.0.1
info:
  title: Ampersand public API
  version: 1.0.0
servers:
  - url: https://api.withampersand.com/v1
security:
  - APIKeyHeader: []
  - Bearer: []
paths:
  /projects/{projectIdOrName}/destinations:
    get:
      tags:
        - Destination
      summary: List destinations
      operationId: listDestinations
      parameters:
        - name: projectIdOrName
          in: path
          required: true
          description: The Ampersand project ID or project name.
          schema:
            type: string
          example: my-project
      responses:
        '200':
          description: List of destinations
          content:
            application/json:
              schema:
                type: array
                items:
                  title: Destination
                  required:
                    - id
                    - name
                    - type
                    - metadata
                    - createTime
                  type: object
                  properties:
                    id:
                      type: string
                      description: The destination ID.
                    name:
                      type: string
                      description: User-defined name for the destination.
                      example: leadConvertedWebhook
                    type:
                      type: string
                      description: The type of the destination.
                      example: webhook
                    metadata:
                      type: object
                      properties:
                        url:
                          type: string
                          description: Webhook URL
                          example: >-
                            https://webhooks.mailmonkey.com/salesforce-lead-converted
                        headers:
                          title: Webhook Headers
                          type: object
                          nullable: true
                          description: >-
                            Additional headers to add when Ampersand sends a
                            webhook message
                          additionalProperties:
                            type: string
                            nullable: false
                          example:
                            Authorization: Bearer 1234
                        streamName:
                          type: string
                          description: The name of the Kinesis stream
                          example: my-data-stream
                        region:
                          type: string
                          description: The AWS region for the destination
                          example: us-east-1
                        partitionKeyTemplate:
                          type: string
                          description: Template for generating partition keys
                          example: '{{.integration_id}}'
                        bucket:
                          type: string
                          description: The name of the S3 bucket
                          example: ampersand-integration-bucket
                        keyTemplate:
                          type: string
                          description: JMESPath template for generating S3 object keys
                          example: >-
                            join('/', [metadata.objectName,
                            metadata.operationId])
                        storageClass:
                          type: string
                          description: >-
                            The S3 storage class for written objects (defaults
                            to STANDARD)
                          example: STANDARD
                        username:
                          type: string
                          description: The username for the clickhouse destination
                          example: default
                        tableName:
                          type: string
                          description: >-
                            The destination table name (clickhouse, snowflake,
                            redshift)
                          example: events
                        database:
                          type: string
                          description: The database name for the clickhouse destination
                          example: analytics
                        accountIdentifier:
                          type: string
                          description: >-
                            The Snowflake account identifier for the snowflake
                            destination
                          example: myorg-myaccount
                        userId:
                          type: string
                          description: The user ID for the snowflake destination
                          example: SVC_AMPERSAND
                        dbName:
                          type: string
                          description: The database name (snowflake, redshift)
                          example: ANALYTICS
                        schemaName:
                          type: string
                          description: The schema name (snowflake, redshift)
                          example: PUBLIC
                        projectId:
                          type: string
                          description: The Google Cloud project ID (bigquery, pubsub)
                          example: my-gcp-project
                        datasetId:
                          type: string
                          description: The BigQuery dataset ID for the bigquery destination
                          example: analytics
                        tableId:
                          type: string
                          description: The BigQuery table ID for the bigquery destination
                          example: events
                        workgroupName:
                          type: string
                          description: >-
                            The Redshift Serverless workgroup name for the
                            redshift destination
                          example: my-workgroup
                        clusterIdentifier:
                          type: string
                          description: >-
                            The Redshift provisioned cluster identifier for the
                            redshift destination
                          example: my-cluster
                        dbUser:
                          type: string
                          description: The database user for the redshift destination
                          example: ampersand
                        account:
                          type: string
                          description: >-
                            The storage account name for the azureblob
                            destination
                          example: mystorageaccount
                        container:
                          type: string
                          description: >-
                            The blob container name for the azureblob
                            destination
                          example: ampersand-data
                        queueUrl:
                          type: string
                          description: The SQS queue URL for the sqs destination
                          example: >-
                            https://sqs.us-east-1.amazonaws.com/123456789012/my-queue
                        topicArn:
                          type: string
                          description: The SNS topic ARN for the sns destination
                          example: arn:aws:sns:us-east-1:123456789012:my-topic
                        eventBusName:
                          type: string
                          description: >-
                            The EventBridge event bus name for the eventbridge
                            destination
                          example: default
                        detailType:
                          type: string
                          description: >-
                            The EventBridge detail-type for published events
                            (eventbridge)
                          example: ampersand.record
                        topicId:
                          type: string
                          description: The Pub/Sub topic ID for the pubsub destination
                          example: ampersand-events
                        routingKey:
                          type: string
                          description: The routing key for the rabbitmq destination
                          example: ampersand.events
                        batchSize:
                          type: integer
                          description: >-
                            For warehouse destinations, rows to buffer before
                            flushing a batch (default 1000)
                          example: 1000
                        maxWaitSecs:
                          type: integer
                          description: >-
                            For warehouse destinations, max seconds before
                            flushing a batch (default 30)
                          example: 30
                    createTime:
                      type: string
                      description: The time the destination was created.
                      format: date-time
                    updateTime:
                      type: string
                      description: The time the destination was updated.
                      format: date-time
        default:
          description: Error
          content:
            application/problem+json:
              schema:
                title: API Problem
                type: object
                allOf:
                  - title: Problem
                    description: >
                      A Problem Details object (RFC 9457).


                      Additional properties specific to the problem type may be
                      present.
                    type: object
                    properties:
                      type:
                        type: string
                        format: uri
                        description: An absolute URI that identifies the problem type
                        default: about:blank
                      href:
                        type: string
                        format: uri
                        description: >-
                          An absolute URI that, when dereferenced, provides
                          human-readable documentation for the problem type
                          (e.g. using HTML).
                      title:
                        type: string
                        description: >-
                          A short summary of the problem type. Written in
                          English and readable for engineers (usually not suited
                          for non technical stakeholders and not localized).
                        example: Service Unavailable
                      status:
                        type: integer
                        format: int32
                        description: >-
                          The HTTP status code generated by the origin server
                          for this occurrence of the problem.
                        minimum: 400
                        maximum: 600
                        exclusiveMaximum: true
                        example: 503
                      detail:
                        type: string
                        description: >-
                          A human-readable explanation specific to this
                          occurrence of the problem
                      instance:
                        type: string
                        format: uri
                        description: >-
                          An absolute URI that identifies the specific
                          occurrence of the problem. It may or may not yield
                          further information if dereferenced.
                    example:
                      type: urn:problem-type:exampleOrganization:exampleProblem
                      href: >-
                        https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types
                      title: Description of the type of problem that occurred
                      status: 400
                      detail: Description of specific occurrence of the problem
                      instance: urn:uuid:123e4567-e89b-12d3-a456-426614174000
                properties:
                  subsystem:
                    type: string
                    description: The subsystem that generated the problem
                    example: api
                  time:
                    type: string
                    format: date-time
                    description: The time the problem occurred, formatted as RFC-3339
                    example: '2024-04-22T18:55:28.456076Z'
                  requestId:
                    type: string
                    description: A unique identifier for the request, useful for debugging
                    example: 89eb1ffb-2a54-4105-aaae-7bf990f1aa69#87715
                  causes:
                    type: array
                    items:
                      type: string
                      description: >-
                        A brief description of something which caused the
                        problem
                      example: database connection failed
                    example:
                      - database connection failed
                      - database query failed
                      - unable to fetch user
                    description: >
                      A list of problems that caused this problem. This can be
                      used to represent multiple

                      root causes. There is no guaranteed ordering of the
                      causes.
                  remedy:
                    type: string
                    description: A brief description of how to resolve the problem
                    example: Shorten your input to be under 100 characters
                  supportEmail:
                    type: string
                    format: email
                    description: An email address to contact for support
                    example: support@withampersand.com
                  supportPhone:
                    type: string
                    description: A phone number to contact for support
                    example: +1-555-555-5555
                  supportUrl:
                    type: string
                    format: uri
                    description: A URL to contact for support
                    example: https://withampersand.com/support
                  retryable:
                    type: boolean
                    description: Whether the request can be retried
                    example: false
                  retryAfter:
                    type: string
                    format: date-time
                    description: >-
                      A timestamp after which the request can be retried,
                      formatted as RFC-3339
                    example: '2024-04-22T18:55:28.456076Z'
                  context:
                    type: object
                    description: Additional context for the problem
                    additionalProperties: true
                    example:
                      name: Rick Sanchez
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      name: X-Api-Key
      in: header
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````